<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
    <th:block th:include="include :: header('股东出资人')" />
</head>
<body class="gray-bg">
    <input type="hidden"  id="id" th:value="${id}" class="form-control" readonly/>
    <h4 class="form-header h4">股东(出资人)</h4>
     <div class="container-div">
        <div class="row">
            <div class="col-sm-12 search-collapse">

            </div>

            <div class="btn-group-sm" id="toolbar" role="group">
            </div>
            <div class="col-sm-12 select-table table-striped">
                <table id="bootstrap-table" data-mobile-responsive="true"></table>
            </div>
        </div>
    </div>
    <div th:include="include :: footer"></div>

    <th:block th:include="include :: footer" />
    <script th:inline="javascript">
        var editFlag = [[${@permission.hasPermi('system:gtgsyw:edit')}]];
        var removeFlag = [[${@permission.hasPermi('system:gtgsyw:remove')}]];
        var auditFlag = [[${@permission.hasPermi('system:gtgsyw:audit')}]];
        var giveupFlag = [[${@permission.hasPermi('system:gtgsyw:giveup')}]];
        var prefix = ctx + "company/tenant";
        $(function() {
            var flg=$("#id").val();
            var options = {
                url: prefix + "/shareholderform/"+flg,
                createUrl: prefix + "/add",
                viewUrl: prefix + "/qyaudit/{id}",
                updateUrl: prefix + "/edit/{id}",
                removeUrl: prefix + "/remove",
                exportUrl: prefix + "/export",
                giveupUrl: prefix + "/export/{id}",
                modalName: "股东(出资人)",
                columns: [{
                    checkbox: true
                },

                    {
                        title: '序号',
                        formatter: function (value, row, index) {
                            return $.table.serialNumber(index);
                        }
                    },
                    {
                        field : 'czrname',
                        title : '股东姓名'
                    },
                    {
                        field : 'czrcardno',
                        title : '证件号码'
                    },
                    {
                        title: '认证',
                        formatter: function (value, row, index) {
                            if (row.rzqx == null) {
                                return "采集";
                            } else if (row.rzqx == '0') {
                                return "未认证";
                            } else if (row.rzqx == '1') {
                                return "已认证"
                            }
                        }
                    },
                   /* {
                        field : 'qylx',
                        title : '出生日期'
                    },*/
                    {
                        field : 'czfs',
                        title : '出资方式'
                    },
                    {
                        field : 'czrzj',
                        title : '认缴出资额（万元）'
                    },
                    {
                        field : 'yzjg',
                        title : '认缴截至日期'

                    },

                {
                    title: '操作',
                    align: 'center',
                    formatter: function(value, row, index) {
                        var actions = [];
                        /**  编辑删除原始按钮 **/
                        actions.push('<a class="btn btn-success btn-xs " href="#"  onclick="load(\'' + row.id + '\')"><i class="fa fa-edit"></i> 查看</a>');
                        actions.push('<a class="btn btn-success btn-xs " href="#"  onclick="load1(\'' + row.id + '\')"><i class="fa fa-edit"></i> 编辑</a>');
                        return actions.join('');
                    }
                }]
            };
            $.table.init(options);
        });



       var prefix = ctx + "company/tenant";
       //查看
        function load(id) {
            var url= prefix + "/shareck/"+id;
            $.modal.open1("查看详情", url, '800', '500');

        }
        function load1(id) {
            var url= prefix + "/sharebj/"+id;
            $.modal.open1("编辑", url, '800', '500');

        }

    </script>



</body>
</html>
